#!/bin/sh

### Please ensure that CWODAEnv.sh is the first call in this utility.
### CROSSWORLDS}, PATH, CWCLASSES, JAVA are declared in CWODAEnv.sh under
### bin directory.
. VAR_CWHOME/bin/CWODAEnv.sh

AGENTNAME=SiebelODA

AGENT=${CROSSWORLDS}/ODA/Siebel/SiebelODA.jar
AGENTCLASS=com.crossworlds.oda.siebeloda.SiebelOda

# set the SIEBELAPPJARPATH to the directory where the Siebel App Jar files are stored.
# By default it would be ${CROSSWORLDS}/connectors/Siebel/dependencies

SIEBELAPPJARPATH=${CROSSWORLDS}/connectors/Siebel/dependencies

SIEBELAPP6x_JAR1=${SIEBELAPPJARPATH}/SiebelDataBean.jar
SIEBELAPP6x_JAR2=${SIEBELAPPJARPATH}/SiebelTC_enu.jar
SIEBELAPP6x_JAR3=${SIEBELAPPJARPATH}/SiebelTcCommon.jar
SIEBELAPP6x_JAR4=${SIEBELAPPJARPATH}/SiebelTcOM.jar
SIEBELAPP7x_JAR5=${SIEBELAPPJARPATH}/SiebelJI_enu.jar

#If the Siebel application version is 7.7.x or 7.8.x,comment out the line below by adding the comment symbol # at the beginning
SIEBELAPP7x_JAR6=${SIEBELAPPJARPATH}/SiebelJI_Common.jar

#If the Siebel application version is 7.7.x or 7.8.x, uncomment the line below  by removing # at the beginning
#SIEBELAPP7x_JAR7=${SIEBELAPPJARPATH}/Siebel.jar

#Add any locale specific jar files. Add the same to CWCLASSES for 6.x and 7.x versions.
SIEBELAPP6x_JPN=${SIEBELAPPJARPATH}/SiebelTC_jpn.jar
SIEBELAPP7x_JPN=${SIEBELAPPJARPATH}/SiebelJI_jpn.jar

#Set the Siebel Version properly. By Default it would be 7.x

SIEBELVERSION=7.x

CWCLASSES=${CWCLASSES}:${AGENT}:${SIEBELAPP7x_JAR5}:${SIEBELAPP7x_JAR6}:${SIEBELAPP7x_JAR7}:${SIEBELAPP7x_JPN}

#If the Siebel Version is 6.x, remove the '#' symbol in the line below

#SIEBELVERSION=6.x

if [ "$SIEBELVERSION" = "6.x" ]; then

	CWCLASSES=${CWCLASSES}:${AGENT}:${DRIVERPATH}:${SIEBELAPP6x_JAR1}:${SIEBELAPP6x_JAR2}:${SIEBELAPP6x_JAR3}:${SIEBELAPP6x_JAR4}:${SIEBELAPP6x_JPN}

fi

#REM Start the Object Discovery Agent (for English language on all Unix Platforms supported)
${CWJAVA} ${JVM_FLAGS} ${ORB_DEP} -Djava.ext.dirs=${JRE_EXT_DIRS} -Dfile.encoding="ISO8859_1" -classpath ${CWCLASSES} com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS} 

#   ##### Note for Japanese Version Users: #####
#         Use the following line instead of the above!!

#For Japanese version, we need the file.encoding to be set to "SJIS". Hence 
#ORB_DEP is set below again

if [ "$CONNECTION" = "IdlAgentFactory" ]
then
	ORB_DEP="-Duser.home=${CROSSWORLDS} -mx128m -Dbea.home=${CROSSWORLDS} -Dfile.encoding="SJIS" -DORBsyncGC=false -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton"
else
	#Change the encoding option SJIS below, if needed, to the one you use
	ORB_DEP="-Dfile.encoding="SJIS""
fi

export ORB_DEP

#For languages other than English on Solaris Platform, please remove the # symbol at the start of next line to start the ODA
#${CWJAVA} -Djava.ext.dirs=${JRE_EXT_DIRS} -Duser.home=${CROSSWORLDS} -mx128m ${ORB_DEP} -classpath ${CWCLASSES}: com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS} 

#For languages other than English on AIX and HP-UX platforms, please remove the # symbol at the start of next line to start the ODA
#${CWJAVA} -Djava.ext.dirs=${JRE_EXT_DIRS} -Duser.home=${CROSSWORLDS} -mx128m -classpath ${CWCLASSES}: com.crossworlds.ODKInfrastructure.${CONNECTION} -l${AGENTNAME} -c${AGENTCLASS} 
